#pragma once
#include "Mod.h"

class AutoClicker : public Mod {
public:
	bool left = true, right = true;
	float leftcps = 7.5f, rightcps = 7.5f;
	bool onlysword = false;
	bool nobow = true;
	bool nofood = true;
	AutoClicker() : Mod(_("Auto Clicker"), _("Automatically click right/left mouse button."), Category::GHOST) {
		settings.push_back(new Setting{ _("Left"), &left, 0, 0, 0, {}, true });
		settings.push_back(new Setting{ _("Left Cps"), &leftcps, new float(30.f), new float(0.f), 2, {}, true, 5.f });

		settings.push_back(new Setting{ _("Right"), &right, 0, 0, 0, {}, true });
		settings.push_back(new Setting{ _("Right Cps"), &rightcps, new float(30.f), new float(0.f), 2, {}, true, 5.f });
		settings.push_back(new Setting{ _("Only Sword"), &onlysword, 0, 0, 0, {}, true });
		settings.push_back(new Setting{ _("No Bow"), &nobow, 0, 0, 0, {}, true });
		settings.push_back(new Setting{ _("No Food"), &nofood, 0, 0, 0, {}, true });

		enabled = false;
	}

private:
	bool leftclicking = false, rightclicking = false;
	virtual auto onClient() -> void override;
	virtual auto onMouse(char button, char action, bool* cancel) -> void override;
};

